m = 0.8;
R = 0.25;
Mn = 0;
Vm = 90;
tp = 0.2;
tt = 0.2;
Tp = 0.3;
sigm = 12;

Jn = m * R^2
Om = Vm * pi() / 180
Em = Om / tp

Jn = Jn + 6e-5

Msum = Mn + Jn * Em
Pn = (Mn + Jn * Em) * Om
Pdv = 2 * Pn
Pdvm = Pdv * 1.4

% motor - 28L28 219.49
Mdvn = 19.9e-3
ndvn = 5300
Odvn = ndvn / 60 * 2 * pi()
Pdv = Mdvn * Odvn
Jdv = 10.4e-7

% motor - A-max 26 110181
Mdvn = 4.46e-3
ndvn = 6830
Odvn = ndvn / 60 * 2 * pi()
Pdv = Mdvn * Odvn
Jdv = 14.3e-7

% reductor
n = 0.7
Jr = 0.3 * Jdv
Mnn = Mn / n
i0 = sqrt( (Mnn + Jn * Em) / (1.2 * Jdv * Em) )

i = ceil(i0)
%i = 200

% reductor - Planetary Gearhead GP 26 B 144045
i = 198
Jr = 0.4e-7

Jsum = Jr + Jdv + Jn / (i^2)
Mtr = Jsum * i * Em + Mn / (i * n)
Ptr = Mtr * i * Om

gamma = Mtr / Mdvn
alpha = i * Om / Odvn

